function arrayReduce(e, t, n, r) {
	var i = -1, a = e == null ? 0 : e.length;
	for (r && a && (n = e[++i]); ++i < a;) n = t(n, e[i], i, e);
	return n;
}
var _arrayReduce_default = arrayReduce;
export { _arrayReduce_default as default };
